org.apache.sysds.parser

## Class Identifier

- java.lang.Object
- - org.apache.sysds.parser.Expression
  - - org.apache.sysds.parser.Identifier

- All Implemented Interfaces:
    ParseInfo
  Direct Known Subclasses:
    ConstIdentifier, DataIdentifier

      public abstract class Identifier
      extends Expression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.parser.Expression

      `Expression.BinaryOp, Expression.BooleanOp, Expression.DataOp, Expression.FunctCallOp, Expression.RelationalOp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Identifier()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeDataType()`
    `boolean` | `dimsKnown()`
    `int` | `getBlocksize()`
    `Types.DataType` | `getDataType()`
    `long` | `getDim1()`
    `long` | `getDim2()`
    `Types.FileFormat` | `getFileFormat()`
    `long` | `getNnz()`
    `PrivacyConstraint` | `getPrivacy()`
    `Types.ValueType` | `getValueType()`
    `boolean` | `isScalarBoolean()`
    `void` | `setBlocksize(int blen)`
    `void` | `setBooleanProperties()`
    `void` | `setDataType(Types.DataType dt)`
    `void` | `setDimensions(long dim1, long dim2)`
    `void` | `setDimensionValueProperties(Identifier i)`
    `void` | `setFileFormat(Types.FileFormat ft)`
    `void` | `setIntProperties()`
    `void` | `setNnz(long nnzs)`
    `void` | `setPrivacy(PrivacyConstraint.PrivacyLevel privacyLevel)`
    `void` | `setPrivacy(PrivacyConstraint privacyConstraint)`
    `void` | `setProperties(Identifier i)`
    `void` | `setValueType(Types.ValueType vt)`
    `void` | `validateExpression(HashMap<String,DataIdentifier> ids, HashMap<String,ConstIdentifier> constVars, boolean conditional)`

    - ### Methods inherited from class org.apache.sysds.parser.Expression

      `computeDataType, computeDataType, computeValueType, computeValueType, computeValueType, convertFormatType, equals, getBeginColumn, getBeginLine, getBinaryMatrixCharacteristics, getBinaryOp, getBooleanOp, getEndColumn, getEndLine, getFilename, getOutput, getOutputs, getParseExceptionList, getRelationalOp, getTempName, getText, hashCode, printErrorLocation, printInfoLocation, printWarningLocation, raiseValidateError, raiseValidateError, raiseValidateError, rewriteExpression, setBeginColumn, setBeginLine, setCtxValues, setCtxValuesAndFilename, setEndColumn, setEndLine, setFilename, setOutput, setParseExceptionList, setParseInfo, setText, validateExpression, variablesRead, variablesUpdated`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.parser.ParseInfo

      `ctxAndFilenameToParseInfo`

- - ### Constructor Detail

    - #### Identifier

          public Identifier()

  - ### Method Detail

    - #### setProperties

          public void setProperties(Identifier i)

    - #### setDimensionValueProperties

          public void setDimensionValueProperties(Identifier i)

    - #### setDataType

          public void setDataType(Types.DataType dt)

    - #### setValueType

          public void setValueType(Types.ValueType vt)

    - #### setFileFormat

          public void setFileFormat(Types.FileFormat ft)

    - #### setDimensions

          public void setDimensions(long dim1,
                                    long dim2)

    - #### setNnz

          public void setNnz(long nnzs)

    - #### setPrivacy

          public void setPrivacy(PrivacyConstraint.PrivacyLevel privacyLevel)

    - #### setPrivacy

          public void setPrivacy(PrivacyConstraint privacyConstraint)

    - #### getDim1

          public long getDim1()

    - #### getDim2

          public long getDim2()

    - #### getDataType

          public Types.DataType getDataType()

    - #### getValueType

          public Types.ValueType getValueType()

    - #### getFileFormat

          public Types.FileFormat getFileFormat()

    - #### getBlocksize

          public int getBlocksize()

    - #### setBlocksize

          public void setBlocksize(int blen)

    - #### getNnz

          public long getNnz()

    - #### getPrivacy

          public PrivacyConstraint getPrivacy()

    - #### validateExpression

          public void validateExpression(HashMap<String,DataIdentifier> ids,
                                         HashMap<String,ConstIdentifier> constVars,
                                         boolean conditional)

      Overrides:
        `validateExpression` in class `Expression`

    - #### computeDataType

          public void computeDataType()

    - #### setBooleanProperties

          public void setBooleanProperties()

    - #### setIntProperties

          public void setIntProperties()

    - #### isScalarBoolean

          public boolean isScalarBoolean()

    - #### dimsKnown

          public boolean dimsKnown()

Copyright © 2021 The Apache Software Foundation. All rights reserved.